---------------------------------------------------------------------------------------------------
--  Copyright © 2009 PoBros, Incorporated. All Rights Reserved.
--
--  This source code is the proprietary confidential property of PoBros Incorporated.
--  Modification; reproduction; publication; or distribution in any form to any party 
--  other than the licensee is strictly prohibited.
--
--  FOR USE BY AUTHORIZED PERSONS ONLY
---------------------------------------------------------------------------------------------------

require( "scripts/style.lua" );

local kSkipAnimation = not GetFocus();
local kButtonX = kCenter;
local kButtonY = kCenter - 25;
local kButtonYSpace = 50;

---------------------------------------------------------------------------------------------------

MakeDialog
{
	name = "pause";
	SetStyle( GameWindowStyle );
	
	GameWindow
	{
		skipintro = kSkipAnimation;
		SetStyle( DialogWindowStyle );
		
		DialogWindow
		{
			skipintro = kSkipAnimation;
			SetStyle( DialogTitleText );
			
			Text
			{
				name = "title";
				label = "paused";
			};
			
			SetStyle( ButtonStyle );

			Button
			{
				x = kButtonX;
				y = kButtonY;
				text = "resume";
				buttongraphics = MediumButtonGraphics;

				command=
					function()
						WindowReturn();
					end;
			};
			
			Button
			{
				x = kButtonX;
				y = kButtonY + kButtonYSpace;
				text = "options";
				buttongraphics = MediumButtonGraphics;
				
				command=
					function()
						DoModal( "scripts/options.lua" );
					end
			};
			
			Button
			{
				x = kButtonX;
				y = kButtonY + ( kButtonYSpace * 2 );
				text = "mainmenu";
				buttongraphics = MediumButtonGraphics;
				
				command =
					function()
						WindowReturn( "mainmenu" );
					end
			};
			
			Button
			{
				x = kButtonX;
				y = kButtonY + ( kButtonYSpace * 3 );
				text = "quit";
				buttongraphics = MediumButtonGraphics;
				
				command =
					function()
						DisplayQuitVerify();
					end
			};
		};
	};
};

---------------------------------------------------------------------------------------------------